#pragma once
#include "../base/interface.hpp"

namespace lsp::provider::workspace
{
    class DidDeleteFiles : public INotificationProvider
    {
    public:
        DidDeleteFiles() = default;

        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        void HandleNotification(const protocol::NotificationMessage& notification, ExecutionContext& context) override;
    };
}
